WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.exotic
Interface Function

All Superinterfaces:
  Serializable

public interface Function
extends Serializable

Used in `ScenarioGrid`.

Method Summary
`int` `getNVariables()`
`double` `getValueAt(double[] x)` Evaluates the function at a point x.

Method Detail

### getValueAt

    public double getValueAt(double[] x)

  Evaluates the function at a point x.

  Parameters:
    `x` - The point where the function is evaluated (a vector of getNVariables() values).
  Returns:
    f(x), that is the value of the function at the point x.

### getNVariables

    public int getNVariables()

  Returns:
    The number of variables of the function

WebCab Options and Futures Demo v2.5 (J2SE Edition)